Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::LuceneSignal Class Reference

Utility class to support signaling notifications. More...

`#include <LuceneSignal.h>`

## Public Member Functions

| LuceneSignal (const SynchronizePtr &objectLock=SynchronizePtr())
virtual | ~LuceneSignal ()
void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static void | createSignal (LuceneSignalPtr &signal, const SynchronizePtr &objectLock)
| create a new LuceneSignal instance atomically.

## Protected Attributes

boost::mutex | waitMutex
boost::condition | signalCondition
SynchronizePtr | objectLock

## Detailed Description

Utility class to support signaling notifications.

## Constructor & Destructor Documentation

## ◆ LuceneSignal()

Lucene::LuceneSignal::LuceneSignal | ( | const SynchronizePtr & | objectLock = `SynchronizePtr()` | ) |

## ◆ ~LuceneSignal()

virtual Lucene::LuceneSignal::~LuceneSignal | ( |  | ) |

virtual

## Member Function Documentation

## ◆ createSignal()

static void Lucene::LuceneSignal::createSignal | ( | LuceneSignalPtr & | signal,
|  | const SynchronizePtr & | objectLock
| ) |  |

static

create a new LuceneSignal instance atomically.

## ◆ notifyAll()

void Lucene::LuceneSignal::notifyAll | ( |  | ) |

Notify all threads waiting for signal.

## ◆ wait()

void Lucene::LuceneSignal::wait | ( | int32_t | timeout = `0` | ) |

Wait for signal using an optional timeout.

## Field Documentation

## ◆ objectLock

SynchronizePtr Lucene::LuceneSignal::objectLock

protected

## ◆ signalCondition

boost::condition Lucene::LuceneSignal::signalCondition

protected

## ◆ waitMutex

boost::mutex Lucene::LuceneSignal::waitMutex

protected

The documentation for this class was generated from the following file:

- LuceneSignal.h

clucene.sourceforge.net